1. kseitz10's Avatar
    Ok so my current iPhone 3G is at 3.1.2 firmware and is jailbroken, but I was looking to upgrade to 4.0.1(4.1 is unjailbreakable as of right now i believe) and then rejailbreak it. So I downloaded the ipsw for the 4.0.1 for 3G and when I use it to try to update my iPhone, itunes says that "this device isn't eligible for the requested build." Whats that all about? Or if there is an easy way to just jump straight to a 4.0.1 jailbroken firmware plz let me know. Thanks.
    2010-09-14 05:10 AM
  2. ShredNasty's Avatar
    You can't. You don't have a SHSH on file and you cant get one since Apple is no longer signing that OS version. You should stay where you're at until the 4.1 jailbreak drops.
    iPhone 4 to Android directly back to iPhone 4. I learned my lesson and will never leave iOS again.
    2010-09-14 05:29 AM
  3. Larbear's Avatar
    You can't. You don't have a SHSH on file and you cant get one since Apple is no longer signing that OS version. You should stay where you're at until the 4.1 jailbreak drops.
    He is correct, it is absolutely not possible until the jailbreak for iOS 4.1 is released. Some say it might be very soon.
    2010-09-14 05:33 AM
  4. kseitz10's Avatar
    ok thanks for the help
    2010-09-14 07:29 PM
LINK TO POST COPIED TO CLIPBOARD